package shop.alien.util.common.safe;

import lombok.Getter;

/**
 * @author: alien
 * @date: 2023/10/31
 */
@Getter
public enum TextReviewServiceEnum {
    UGC_MODERATION_BY_LLM("ugc_moderation_byllm", "UGC场景文本审核大模型服务", "针对UGC场景，基于大模型能力的文本审核服务，能够高效精准地识别违规内容。", "通用场景"),
    AIGC_MODERATION_BY_LLM("aigc_moderation_byllm", "AIGC场景文本审核大模型服务", "针对AIGC场景，基于大模型能力的文本审核服务，能够高效精准地识别违规内容。", "AIGC场景"),
    LLM_QUERY_MODERATION("llm_query_moderation", "大语言模型输入文字检测", "检测大语言模型输入文字中是否存在色情、涉政、暴恐、违禁等红线类的违规内容。", "AIGC场景"),
    LLM_RESPONSE_MODERATION("llm_response_moderation", "大语言模型生成文字检测", "检测大语言模型生成文字中是否存在色情、涉政、暴恐、违禁等红线类的违规内容。", "AIGC场景"),
    COMMENT_DETECTION_PRO("comment_detection_pro", "公聊评论内容检测_专业版", "检测公聊评论中是否存在违规、不宜传播或者影响平台秩序的内容。建议对公聊评论场景的文本均进行该项检测。支持更细粒度的标签返回。", "业务场景"),
    NICKNAME_DETECTION_PRO("nickname_detection_pro", "用户昵称检测_专业版", "检测用户昵称中是否存在违规、不宜传播或者影响平台秩序的内容。建议对用户昵称场景的文本均进行该项检测。支持更细粒度的标签返回。", "业务场景"),
    CHAT_DETECTION_PRO("chat_detection_pro", "私聊互动内容检测_专业版", "检测私聊互动中是否存在违规、不宜传播或者影响平台秩序的内容。建议对私聊互动场景的文本均进行该项检测。支持更细粒度的标签返回。", "业务场景"),
    AD_COMPLIANCE_DETECTION_PRO("ad_compliance_detection_pro", "广告法合规检测_专业版", "针对有推广含义的文本（包括商品标题、详情介绍页、投放营销的素材等）进行专门优化，检测是否有违反广告法以及其他违规或不宜传播的内容。支持更细粒度的标签返回。", "特殊场景"),
    AI_ART_DETECTION("ai_art_detection", "AIGC类文字检测", "检测AIGC文生图中的文字是否存在色情、涉政、暴恐、违禁等红线类的违规内容。", "AIGC场景"),
    COMMENT_DETECTION("comment_detection", "公聊评论内容检测", "检测公聊评论中是否存在违规、不宜传播或者影响平台秩序的内容。建议对公聊评论场景的文本均进行该项检测。", "业务场景"),
    NICKNAME_DETECTION("nickname_detection", "用户昵称检测", "检测用户昵称中是否存在违规、不宜传播或者影响平台秩序的内容。建议对用户昵称场景的文本均进行该项检测。", "业务场景"),
    CHAT_DETECTION("chat_detection", "私聊互动内容检测", "检测私聊互动中是否存在违规、不宜传播或者影响平台秩序的内容。建议对私聊互动场景的文本均进行该项检测。", "业务场景"),
    AD_COMPLIANCE_DETECTION("ad_compliance_detection", "广告法合规检测", "针对有推广含义的文本（包括商品标题、详情介绍页、投放营销的素材等）进行专门优化，检测是否有违反广告法以及其他违规或不宜传播的内容。", "特殊场景"),
    COMMENT_MULTILINGUAL_PRO("comment_multilingual_pro", "国际业务多语言检测", "针对多国语言进行检测，识别出文本中包含的违规、不宜传播或者影响平台秩序的内容。", "特殊场景"),
    PGC_DETECTION("pgc_detection", "PGC通用物料检测", "针对新闻报道、专业视频、教育物料等具有较高制作标准的文本内容，检测判断是否存在违规、不宜传播或者影响平台秩序的内容。", "特殊场景"),
    BAILIAN_QUERY_CHECK("bailian_query_check", "百炼文字输入检测", "支持对底线类违规（涉黄、涉政、涉暴等）、不良诱导信息的检测，支持对部分诱导性敏感话题进行检测。", "百炼场景"),
    BAILIAN_RESPONSE_CHECK("bailian_response_check", "百炼文字输出检测", "支持对底线类违规（涉黄、涉政、涉暴等）、不良诱导信息的检测，支持对AI可能产生的辱骂、偏见、不良价值观信息进行检测。", "百炼场景"),
    BAILIAN_QUERY_CHECK_PRO("bailian_query_check_pro", "百炼文字输入检测_pro", "支持对底线类违规（涉黄、涉政、涉暴等）、不良诱导信息的检测，支持对部分诱导性敏感话题进行检测。在部分场景中，该服务引入了审核大模型用于提升识别效果。", "百炼场景"),
    BAILIAN_RESPONSE_CHECK_PRO("bailian_response_check_pro", "百炼文字输出检测_pro", "支持对底线类违规（涉黄、涉政、涉暴等）、不良诱导信息的检测，支持对AI可能产生的辱骂、偏见、不良价值观信息进行检测。在部分场景中，该服务引入了审核大模型用于提升识别效果。", "百炼场景"),
    URL_DETECTION("url_detection", "URL风险链接检测", "支持检测网站是否涉及色情、赌博、钓鱼、欺诈等风险。", "--");

    private final String service;
    private final String serviceName;
    private final String serviceDescription;
    private final String serviceScene;

    TextReviewServiceEnum(String service, String serviceName, String serviceDescription, String serviceScene) {
        this.service = service;
        this.serviceName = serviceName;
        this.serviceDescription = serviceDescription;
        this.serviceScene = serviceScene;
    }

}
